## NAS Attach Detach request NAS Attach Detach request |

## Functions

QmiMessageNasAttachDetachInput * | qmi_message_nas_attach_detach_input_new ()
QmiMessageNasAttachDetachInput * | qmi_message_nas_attach_detach_input_ref ()
void | qmi_message_nas_attach_detach_input_unref ()
gboolean | qmi_message_nas_attach_detach_input_get_action ()
gboolean | qmi_message_nas_attach_detach_input_set_action ()
QmiMessageNasAttachDetachOutput * | qmi_message_nas_attach_detach_output_ref ()
void | qmi_message_nas_attach_detach_output_unref ()
gboolean | qmi_message_nas_attach_detach_output_get_result ()
void | qmi_client_nas_attach_detach ()
QmiMessageNasAttachDetachOutput * | qmi_client_nas_attach_detach_finish ()

## Types and Values

| QmiMessageNasAttachDetachInput
| QmiMessageNasAttachDetachOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasAttachDetachInput
        ╰── QmiMessageNasAttachDetachOutput

## Description

## Functions

### qmi_message_nas_attach_detach_input_new ()

    QmiMessageNasAttachDetachInput *
    qmi_message_nas_attach_detach_input_new
                                   (void);

Allocates a new QmiMessageNasAttachDetachInput.

#### Returns

the newly created QmiMessageNasAttachDetachInput. The returned value should be freed with `qmi_message_nas_attach_detach_input_unref()`.

Since: 1.20

### qmi_message_nas_attach_detach_input_ref ()

    QmiMessageNasAttachDetachInput *
    qmi_message_nas_attach_detach_input_ref
                                   (QmiMessageNasAttachDetachInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasAttachDetachInput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_nas_attach_detach_input_unref ()

    void
    qmi_message_nas_attach_detach_input_unref
                                   (QmiMessageNasAttachDetachInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasAttachDetachInput. |

Since: 1.20

### qmi_message_nas_attach_detach_input_get_action ()

    gboolean
    qmi_message_nas_attach_detach_input_get_action
                                   (QmiMessageNasAttachDetachInput *self,
                                    QmiNasPsAttachAction *value_action,
                                    GError **error);

Get the 'Action' field from `self` .

#### Parameters

self | a QmiMessageNasAttachDetachInput. |
value_action | a placeholder for the output QmiNasPsAttachAction, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_message_nas_attach_detach_input_set_action ()

    gboolean
    qmi_message_nas_attach_detach_input_set_action
                                   (QmiMessageNasAttachDetachInput *self,
                                    QmiNasPsAttachAction value_action,
                                    GError **error);

Set the 'Action' field in the message.

#### Parameters

self | a QmiMessageNasAttachDetachInput. |
value_action | a QmiNasPsAttachAction. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.20

### qmi_message_nas_attach_detach_output_ref ()

    QmiMessageNasAttachDetachOutput *
    qmi_message_nas_attach_detach_output_ref
                                   (QmiMessageNasAttachDetachOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasAttachDetachOutput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_nas_attach_detach_output_unref ()

    void
    qmi_message_nas_attach_detach_output_unref
                                   (QmiMessageNasAttachDetachOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasAttachDetachOutput. |

Since: 1.20

### qmi_message_nas_attach_detach_output_get_result ()

    gboolean
    qmi_message_nas_attach_detach_output_get_result
                                   (QmiMessageNasAttachDetachOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasAttachDetachOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.20

### qmi_client_nas_attach_detach ()

    void
    qmi_client_nas_attach_detach (QmiClientNas *self,
                                  QmiMessageNasAttachDetachInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Attach Detach request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_attach_detach_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasAttachDetachInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.20

### qmi_client_nas_attach_detach_finish ()

    QmiMessageNasAttachDetachOutput *
    qmi_client_nas_attach_detach_finish (QmiClientNas *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_nas_attach_detach()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_attach_detach()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasAttachDetachOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_attach_detach_output_unref()`.

Since: 1.20

## Types and Values

### QmiMessageNasAttachDetachInput

    typedef struct _QmiMessageNasAttachDetachInput QmiMessageNasAttachDetachInput;

The QmiMessageNasAttachDetachInput structure contains private data and should only be accessed using the provided API.

Since: 1.20

### QmiMessageNasAttachDetachOutput

    typedef struct _QmiMessageNasAttachDetachOutput QmiMessageNasAttachDetachOutput;

The QmiMessageNasAttachDetachOutput structure contains private data and should only be accessed using the provided API.

Since: 1.20